INTERFACE
SUBROUTINE GRIB_CODE_MESSAGE(KGRIB_HANDLE,KGRIBCD,KLEV,CDREPR,CDLTYPE,&
 & KSMAX,LDGRAD,KTOP,KBOT) 
USE PARKIND1 , ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KGRIB_HANDLE
INTEGER(KIND=JPIM),INTENT(IN) :: KGRIBCD
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
CHARACTER ,INTENT(IN) :: CDREPR*(*)
CHARACTER ,INTENT(IN) :: CDLTYPE*(*)
INTEGER(KIND=JPIM),OPTIONAL,INTENT(IN) :: KSMAX
LOGICAL ,INTENT(OUT) :: LDGRAD
INTEGER(KIND=JPIM),INTENT(OUT) :: KTOP
INTEGER(KIND=JPIM),INTENT(OUT) :: KBOT
END SUBROUTINE GRIB_CODE_MESSAGE
END INTERFACE
